Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5116)
@@ -46,5 +46,5 @@
          w_toga(k,ip)=w_toga(k,ip)*100./3600. ! Pa/s
 ! no water vapour tendency above 55 hPa
-         if (plev_toga(k,ip) .lt. plev_min) then
+         if (plev_toga(k,ip) .lt. plev_min) THEN
           q_toga(k,ip) = 0.
           hq_toga(k,ip) = 0.
@@ -60,5 +60,5 @@
   230 format(6f9.3,4e11.3)
 
-          return
+          RETURN
           end
 
@@ -95,5 +95,5 @@
   223 format(4i3,f8.2)
 
-          return
+          RETURN
           end
 
@@ -137,5 +137,5 @@
   223 format(4i3,e13.2,f7.2,f7.3,f7.2,f7.3,f7.2)
 
-          return
+          RETURN
           end
 !=====================================================================
@@ -178,127 +178,127 @@
 
       ierr = nf90_open(fich_twpice,nf90_nowrite,nid)
-      if (ierr.NE.nf90_noerr) then
-         write(*,*) 'ERROR: Pb opening forcings cdf file '
-         write(*,*) nf90_strerror(ierr)
+      if (ierr.NE.nf90_noerr) THEN
+         WRITE(*,*) 'ERROR: Pb opening forcings cdf file '
+         WRITE(*,*) nf90_strerror(ierr)
          stop ""
       endif
 
       ierr=nf90_inq_varid(nid,"lat",var3didin(1))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'lat'
          endif
       
        ierr=nf90_inq_varid(nid,"lon",var3didin(2))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'lon'
          endif
 
        ierr=nf90_inq_varid(nid,"alt",var3didin(3))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'alt'
          endif
 
       ierr=nf90_inq_varid(nid,"phis",var3didin(4))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'phis'
          endif
 
       ierr=nf90_inq_varid(nid,"T",var3didin(5))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'T'
          endif
 
       ierr=nf90_inq_varid(nid,"q",var3didin(6))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'q'
          endif
 
       ierr=nf90_inq_varid(nid,"u",var3didin(7))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'u'
          endif
 
       ierr=nf90_inq_varid(nid,"v",var3didin(8))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'v'
          endif
 
       ierr=nf90_inq_varid(nid,"omega",var3didin(9))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'omega'
          endif
 
       ierr=nf90_inq_varid(nid,"div",var3didin(10))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'div'
          endif
 
       ierr=nf90_inq_varid(nid,"T_adv_h",var3didin(11))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'T_adv_h'
          endif
 
       ierr=nf90_inq_varid(nid,"T_adv_v",var3didin(12))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'T_adv_v'
          endif
 
       ierr=nf90_inq_varid(nid,"q_adv_h",var3didin(13))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'q_adv_h'
          endif
 
       ierr=nf90_inq_varid(nid,"q_adv_v",var3didin(14))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'q_adv_v'
          endif
 
       ierr=nf90_inq_varid(nid,"s",var3didin(15))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 's'
          endif
 
       ierr=nf90_inq_varid(nid,"s_adv_h",var3didin(16))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 's_adv_h'
          endif
     
       ierr=nf90_inq_varid(nid,"s_adv_v",var3didin(17))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 's_adv_v'
          endif
 
       ierr=nf90_inq_varid(nid,"p_srf_aver",var3didin(18))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'p_srf_aver'
          endif
 
       ierr=nf90_inq_varid(nid,"p_srf_center",var3didin(19))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'p_srf_center'
          endif
 
       ierr=nf90_inq_varid(nid,"T_srf",var3didin(20))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'T_srf'
          endif
@@ -315,44 +315,44 @@
           
          ierr = nf90_get_var(nid,var3didin(1),lat)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture lat ok',lat
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture lat ok',lat
 
          ierr = nf90_get_var(nid,var3didin(2),lon)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture lon ok',lon
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture lon ok',lon
  
          ierr = nf90_get_var(nid,var3didin(3),alt)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture alt ok',alt
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture alt ok',alt
  
          ierr = nf90_get_var(nid,var3didin(4),phis)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture phis ok',phis
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture phis ok',phis
           
          ierr = nf90_get_var(nid,var3didin(5),T)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture T ok'
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture T ok'
 
          ierr = nf90_get_var(nid,var3didin(6),q)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture q ok'
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture q ok'
 !q in kg/kg
        do l=1,ntime
@@ -362,23 +362,23 @@
        enddo
          ierr = nf90_get_var(nid,var3didin(7),u)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture u ok'
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture u ok'
 
          ierr = nf90_get_var(nid,var3didin(8),v)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture v ok'
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture v ok'
 
          ierr = nf90_get_var(nid,var3didin(9),omega)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture omega ok'
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture omega ok'
 !omega in mb/hour
        do l=1,ntime
@@ -389,16 +389,16 @@
 
          ierr = nf90_get_var(nid,var3didin(10),div)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture div ok'
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture div ok'
 
          ierr = nf90_get_var(nid,var3didin(11),T_adv_h)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture T_adv_h ok'
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture T_adv_h ok'
 !T adv in K/s
        do l=1,ntime
@@ -410,9 +410,9 @@
 
          ierr = nf90_get_var(nid,var3didin(12),T_adv_v)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture T_adv_v ok'
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture T_adv_v ok'
 !T adv in K/s
        do l=1,ntime
@@ -423,9 +423,9 @@
 
          ierr = nf90_get_var(nid,var3didin(13),q_adv_h)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture q_adv_h ok'
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture q_adv_h ok'
 !q adv in kg/kg/s
        do l=1,ntime
@@ -437,9 +437,9 @@
 
          ierr = nf90_get_var(nid,var3didin(14),q_adv_v)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture q_adv_v ok'
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture q_adv_v ok'
 !q adv in kg/kg/s
        do l=1,ntime
@@ -451,42 +451,42 @@
 
          ierr = nf90_get_var(nid,var3didin(15),s)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = nf90_get_var(nid,var3didin(16),s_adv_h)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = nf90_get_var(nid,var3didin(17),s_adv_v)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = nf90_get_var(nid,var3didin(18),p_srf_aver)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = nf90_get_var(nid,var3didin(19),p_srf_center)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = nf90_get_var(nid,var3didin(20),T_srf)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture T_srf ok', T_srf
-
-
-         end subroutine read_twpice
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture T_srf ok', T_srf
+
+
+         END SUBROUTINE read_twpice
 !=====================================================================
          subroutine catchaxis(nid,ttm,llm,time,lev,ierr)
@@ -509,6 +509,6 @@
          ierr=nf90_inq_dimid(nid,"time",timedimin)
          ierr=nf90_inq_varid(nid,"time",timevar)
-         if (ierr.NE.nf90_noerr) then
-            write(*,*) 'ERROR: Field <time> is missing'
+         if (ierr.NE.nf90_noerr) THEN
+            WRITE(*,*) 'ERROR: Field <time> is missing'
             stop ""  
          endif
@@ -517,14 +517,14 @@
          ierr=nf90_inq_dimid(nid,"lev",levdimin)
          ierr=nf90_inq_varid(nid,"lev",levvar)
-         if (ierr.NE.nf90_noerr) then
-             write(*,*) 'ERROR: Field <lev> is lacking'
+         if (ierr.NE.nf90_noerr) THEN
+             WRITE(*,*) 'ERROR: Field <lev> is lacking'
              stop "" 
          endif
          ierr=nf90_inquire_dimension(nid,levdimin,len=levlen)
 
-         if((timelen/=ttm).or.(levlen/=llm)) then
-            write(*,*) 'ERROR: Not the good lenght for axis'
-            write(*,*) 'longitude: ',timelen,ttm+1
-            write(*,*) 'latitude: ',levlen,llm
+         if((timelen/=ttm).or.(levlen/=llm)) THEN
+            WRITE(*,*) 'ERROR: Not the good lenght for axis'
+            WRITE(*,*) 'longitude: ',timelen,ttm+1
+            WRITE(*,*) 'latitude: ',levlen,llm
             stop ""  
          endif
@@ -533,5 +533,5 @@
          ierr = nf90_get_var(nid,levvar,lev)
 
-       return
+       RETURN
        end
 !=====================================================================
@@ -574,14 +574,12 @@
        do l = 1, llm
 
-        if (play(l).ge.plev_prof(nlev_sandu)) then
-
+        if (play(l).ge.plev_prof(nlev_sandu)) THEN
         mxcalc=l
          k1=0
          k2=0
 
-         if (play(l).le.plev_prof(1)) then
-
+         if (play(l).le.plev_prof(1)) THEN
          do k = 1, nlev_sandu-1
-          if (play(l).le.plev_prof(k).and. play(l).gt.plev_prof(k+1)) then
+          if (play(l).le.plev_prof(k).and. play(l).gt.plev_prof(k+1)) THEN
             k1=k
             k2=k+1
@@ -589,9 +587,9 @@
          enddo
 
-         if (k1.eq.0 .or. k2.eq.0) then
-          write(*,*) 'PB! k1, k2 = ',k1,k2
-          write(*,*) 'l,play(l) = ',l,play(l)/100
+         if (k1.eq.0 .or. k2.eq.0) THEN
+          WRITE(*,*) 'PB! k1, k2 = ',k1,k2
+          WRITE(*,*) 'l,play(l) = ',l,play(l)/100
          do k = 1, nlev_sandu-1
-          write(*,*) 'k,plev_prof(k) = ',k,plev_prof(k)/100
+          WRITE(*,*) 'k,plev_prof(k) = ',k,plev_prof(k)/100
          enddo
          endif
@@ -648,5 +646,5 @@
        enddo
 
-          return
+          RETURN
           end
 !=====================================================================
@@ -689,14 +687,12 @@
        do l = 1, llm
 
-        if (play(l).ge.plev_prof(nlev_astex)) then
-
+        if (play(l).ge.plev_prof(nlev_astex)) THEN
         mxcalc=l
          k1=0
          k2=0
 
-         if (play(l).le.plev_prof(1)) then
-
+         if (play(l).le.plev_prof(1)) THEN
          do k = 1, nlev_astex-1
-          if (play(l).le.plev_prof(k).and. play(l).gt.plev_prof(k+1)) then
+          if (play(l).le.plev_prof(k).and. play(l).gt.plev_prof(k+1)) THEN
             k1=k
             k2=k+1
@@ -704,9 +700,9 @@
          enddo
 
-         if (k1.eq.0 .or. k2.eq.0) then
-          write(*,*) 'PB! k1, k2 = ',k1,k2
-          write(*,*) 'l,play(l) = ',l,play(l)/100
+         if (k1.eq.0 .or. k2.eq.0) THEN
+          WRITE(*,*) 'PB! k1, k2 = ',k1,k2
+          WRITE(*,*) 'l,play(l) = ',l,play(l)/100
          do k = 1, nlev_astex-1
-          write(*,*) 'k,plev_prof(k) = ',k,plev_prof(k)/100
+          WRITE(*,*) 'k,plev_prof(k) = ',k,plev_prof(k)/100
          enddo
          endif
@@ -769,5 +765,5 @@
        enddo
 
-          return
+          RETURN
           end
 
@@ -819,6 +815,6 @@
       do k=1,llm
         do l=1,80
-          if(prico(l)>play(k)) then
-              if(play(k)>prico(l+1)) then
+          IF(prico(l)>play(k)) THEN
+              IF(play(k)>prico(l+1)) THEN
                 zlay(k)=zrico(l)+(play(k)-prico(l)) *                      &
      &              (zrico(l+1)-zrico(l))/(prico(l+1)-prico(l))
@@ -831,12 +827,12 @@
         PRINT*,k,zlay(k)
         ! U
-        if(0 < zlay(k) .and. zlay(k) < 4000) then
+        IF(0 < zlay(k) .and. zlay(k) < 4000) THEN
           u_rico(k)=-9.9 + (-1.9 + 9.9)*zlay(k)/4000
-        elseif(4000 < zlay(k) .and. zlay(k) < 12000) then
+        elseif(4000 < zlay(k) .and. zlay(k) < 12000) THEN
        u_rico(k)=  -1.9 + (30.0 + 1.9) /                                   &
      &          (12000 - 4000) * (zlay(k) - 4000)
-        elseif(12000 < zlay(k) .and. zlay(k) < 13000) then
+        elseif(12000 < zlay(k) .and. zlay(k) < 13000) THEN
           u_rico(k)=30.0
-        elseif(13000 < zlay(k) .and. zlay(k) < 20000) then
+        elseif(13000 < zlay(k) .and. zlay(k) < 20000) THEN
           u_rico(k)=30.0 - (30.0) /                                        &
      & (20000 - 13000) * (zlay(k) - 13000)
@@ -846,13 +842,13 @@
 
 !Q_v
-        if(0 < zlay(k) .and. zlay(k) < 740) then
+        IF(0 < zlay(k) .and. zlay(k) < 740) THEN
           q_rico(k)=16.0 + (13.8 - 16.0) / (740) * zlay(k)
-        elseif(740 < zlay(k) .and. zlay(k) < 3260) then
+        elseif(740 < zlay(k) .and. zlay(k) < 3260) THEN
           q_rico(k)=13.8 + (2.4 - 13.8) /                                   &
      &          (3260 - 740) * (zlay(k) - 740)
-        elseif(3260 < zlay(k) .and. zlay(k) < 4000) then
+        elseif(3260 < zlay(k) .and. zlay(k) < 4000) THEN
           q_rico(k)=2.4 + (1.8 - 2.4) /                                    &
      &               (4000 - 3260) * (zlay(k) - 3260)
-        elseif(4000 < zlay(k) .and. zlay(k) < 9000) then
+        elseif(4000 < zlay(k) .and. zlay(k) < 9000) THEN
           q_rico(k)=1.8 + (0 - 1.8) /                                      &
      &             (9000 - 4000) * (zlay(k) - 4000)
@@ -862,19 +858,19 @@
 
 !T
-        if(0 < zlay(k) .and. zlay(k) < 740) then
+        IF(0 < zlay(k) .and. zlay(k) < 740) THEN
           t_rico(k)=299.2 + (292.0 - 299.2) / (740) * zlay(k)
-        elseif(740 < zlay(k) .and. zlay(k) < 4000) then
+        elseif(740 < zlay(k) .and. zlay(k) < 4000) THEN
           t_rico(k)=292.0 + (278.0 - 292.0) /                              &                       
      &       (4000 - 740) * (zlay(k) - 740)
-        elseif(4000 < zlay(k) .and. zlay(k) < 15000) then
+        elseif(4000 < zlay(k) .and. zlay(k) < 15000) THEN
           t_rico(k)=278.0 + (203.0 - 278.0) /                              &
      &       (15000 - 4000) * (zlay(k) - 4000)
-        elseif(15000 < zlay(k) .and. zlay(k) < 17500) then
+        elseif(15000 < zlay(k) .and. zlay(k) < 17500) THEN
           t_rico(k)=203.0 + (194.0 - 203.0) /                              & 
      &       (17500 - 15000)* (zlay(k) - 15000)
-        elseif(17500 < zlay(k) .and. zlay(k) < 20000) then
+        elseif(17500 < zlay(k) .and. zlay(k) < 20000) THEN
           t_rico(k)=194.0 + (206.0 - 194.0) /                              &
      &       (20000 - 17500)* (zlay(k) - 17500)
-        elseif(20000 < zlay(k) .and. zlay(k) < 60000) then
+        elseif(20000 < zlay(k) .and. zlay(k) < 60000) THEN
           t_rico(k)=206.0 + (270.0 - 206.0) /                              & 
      &        (60000 - 20000)* (zlay(k) - 20000)
@@ -882,9 +878,9 @@
 
 ! W
-        if(0 < zlay(k) .and. zlay(k) < 2260 ) then
+        IF(0 < zlay(k) .and. zlay(k) < 2260 ) THEN
           w_rico(k)=- (0.005/2260) * zlay(k)
-        elseif(2260 < zlay(k) .and. zlay(k) < 4000 ) then
+        elseif(2260 < zlay(k) .and. zlay(k) < 4000 ) THEN
           w_rico(k)=- 0.005
-        elseif(4000 < zlay(k) .and. zlay(k) < 5000 ) then
+        elseif(4000 < zlay(k) .and. zlay(k) < 5000 ) THEN
        w_rico(k)=- 0.005 + (0.005/ (5000 - 4000)) * (zlay(k) - 4000)
         else
@@ -893,8 +889,8 @@
 
 ! dThrz+dTsw0+dTlw0
-        if(0 < zlay(k) .and. zlay(k) < 4000) then
+        IF(0 < zlay(k) .and. zlay(k) < 4000) THEN
           dth_dyn(k)=- 2.51 / 86400 + (-2.18 + 2.51 )/                     &
      &               (86400*4000) * zlay(k)
-        elseif(4000 < zlay(k) .and. zlay(k) < 5000) then
+        elseif(4000 < zlay(k) .and. zlay(k) < 5000) THEN
           dth_dyn(k)=- 2.18 / 86400 + ( 2.18 ) /                           &
      &           (86400*(5000 - 4000)) * (zlay(k) - 4000)
@@ -903,10 +899,10 @@
         endif
 ! dQhrz
-        if(0 < zlay(k) .and. zlay(k) < 3000) then
+        IF(0 < zlay(k) .and. zlay(k) < 3000) THEN
           dqh_dyn(k)=-1.0 / 86400 + (0.345 + 1.0)/                         &
      &                    (86400*3000) * (zlay(k))
-        elseif(3000 < zlay(k) .and. zlay(k) < 4000) then
+        elseif(3000 < zlay(k) .and. zlay(k) < 4000) THEN
           dqh_dyn(k)=0.345 / 86400
-        elseif(4000 < zlay(k) .and. zlay(k) < 5000) then
+        elseif(4000 < zlay(k) .and. zlay(k) < 5000) THEN
           dqh_dyn(k)=0.345 / 86400 +                                       &
      &   (-0.345)/(86400 * (5000 - 4000)) * (zlay(k)-4000)
@@ -915,7 +911,7 @@
         endif
 
-!?        if(play(k)>6e4) then
+!?        IF(play(k)>6e4) THEN
 !?          ratqs0(1,k)=ratqsbas*(plev(1)-play(k))/(plev(1)-6e4)
-!?        elseif((play(k)>3e4).and.(play(k)<6e4)) then
+!?        elseif((play(k)>3e4).and.(play(k)<6e4)) THEN
 !?          ratqs0(1,k)=ratqsbas+(ratqshaut-ratqsbas)&
 !?                          *(6e4-play(k))/(6e4-3e4)
@@ -932,5 +928,5 @@
       enddo
 
-          return
+          RETURN
           end
 
@@ -961,10 +957,10 @@
         real timeit,time_sandu1,time_sandu2,frac
 ! Check that initial day of the simulation consistent with SANDU period:
-       if (annee_ref.ne.2006 ) then
+       if (annee_ref.ne.2006 ) THEN
         PRINT*,'Pour SANDUREF, annee_ref doit etre 2006 '
         PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
-!      if (annee_ref.eq.2006 .and. day1.lt.day_ini_sandu) then
+!      if (annee_ref.eq.2006 .and. day1.lt.day_ini_sandu) THEN
 !       PRINT*,'SANDUREF debute le 15 Juillet 2006 (jour julien=196)'
 !       PRINT*,'Changer dayref dans run.def'
@@ -974,5 +970,5 @@
 ! Determine timestep relative to the 1st day of TOGA-COARE:
 !       timeit=(day-day1)*86400.
-!       if (annee_ref.eq.1992) then
+!       if (annee_ref.eq.1992) THEN
 !        timeit=(day-day_ini_sandu)*86400.
 !       else
@@ -990,6 +986,6 @@
      &          it_sandu1,it_sandu2,time_sandu1,time_sandu2
 
-       if (it_sandu1 .ge. nt_sandu) then
-        write(*,*) 'PB-stop: day, it_sandu1, it_sandu2, timeit: '          &
+       if (it_sandu1 .ge. nt_sandu) THEN
+        WRITE(*,*) 'PB-stop: day, it_sandu1, it_sandu2, timeit: '          &
      &        ,day,it_sandu1,it_sandu2,timeit/86400.
         stop
@@ -1008,5 +1004,5 @@
      &it_sandu2,ts_prof
 
-        return
+        RETURN
         END
 !=====================================================================
@@ -1045,5 +1041,5 @@
   223 format(5i3,5f8.3)
 
-          return
+          RETURN
           end
 
@@ -1088,14 +1084,12 @@
        do l = 1, llm
 
-        if (play(l).ge.plev_prof(nlev_toga)) then
- 
+        if (play(l).ge.plev_prof(nlev_toga)) THEN
         mxcalc=l
          k1=0
          k2=0
 
-         if (play(l).le.plev_prof(1)) then
-
+         if (play(l).le.plev_prof(1)) THEN
          do k = 1, nlev_toga-1
-          if (play(l).le.plev_prof(k).and. play(l).gt.plev_prof(k+1)) then
+          if (play(l).le.plev_prof(k).and. play(l).gt.plev_prof(k+1)) THEN
             k1=k
             k2=k+1
@@ -1103,9 +1097,9 @@
          enddo
 
-         if (k1.eq.0 .or. k2.eq.0) then
-          write(*,*) 'PB! k1, k2 = ',k1,k2
-          write(*,*) 'l,play(l) = ',l,play(l)/100
+         if (k1.eq.0 .or. k2.eq.0) THEN
+          WRITE(*,*) 'PB! k1, k2 = ',k1,k2
+          WRITE(*,*) 'l,play(l) = ',l,play(l)/100
          do k = 1, nlev_toga-1
-          write(*,*) 'k,plev_prof(k) = ',k,plev_prof(k)/100
+          WRITE(*,*) 'k,plev_prof(k) = ',k,plev_prof(k)/100
          enddo
          endif
@@ -1165,5 +1159,5 @@
 !       enddo
  
-          return
+          RETURN
           end
  
@@ -1216,14 +1210,12 @@
        do l = 1, llm
 
-        if (play(l).ge.plev_prof_cas(nlev_cas)) then
- 
+        if (play(l).ge.plev_prof_cas(nlev_cas)) THEN
         mxcalc=l
          k1=0
          k2=0
 
-         if (play(l).le.plev_prof_cas(1)) then
-
+         if (play(l).le.plev_prof_cas(1)) THEN
          do k = 1, nlev_cas-1
-          if (play(l).le.plev_prof_cas(k).and. play(l).gt.plev_prof_cas(k+1)) then
+          if (play(l).le.plev_prof_cas(k).and. play(l).gt.plev_prof_cas(k+1)) THEN
             k1=k
             k2=k+1
@@ -1231,9 +1223,9 @@
          enddo
 
-         if (k1.eq.0 .or. k2.eq.0) then
-          write(*,*) 'PB! k1, k2 = ',k1,k2
-          write(*,*) 'l,play(l) = ',l,play(l)/100
+         if (k1.eq.0 .or. k2.eq.0) THEN
+          WRITE(*,*) 'PB! k1, k2 = ',k1,k2
+          WRITE(*,*) 'l,play(l) = ',l,play(l)/100
          do k = 1, nlev_cas-1
-          write(*,*) 'k,plev_prof_cas(k) = ',k,plev_prof_cas(k)/100
+          WRITE(*,*) 'k,plev_prof_cas(k) = ',k,plev_prof_cas(k)/100
          enddo
          endif
@@ -1326,5 +1318,5 @@
 !       enddo
  
-          return
+          RETURN
           end
 !***************************************************************************** 
@@ -1366,14 +1358,12 @@
        do l = 1, llm
 
-        if (play(l).ge.plev_prof(nlev_dice)) then
- 
+        if (play(l).ge.plev_prof(nlev_dice)) THEN
         mxcalc=l
          k1=0
          k2=0
 
-         if (play(l).le.plev_prof(1)) then
-
+         if (play(l).le.plev_prof(1)) THEN
          do k = 1, nlev_dice-1
-          if (play(l).le.plev_prof(k) .and. play(l).gt.plev_prof(k+1)) then
+          if (play(l).le.plev_prof(k) .and. play(l).gt.plev_prof(k+1)) THEN
             k1=k
             k2=k+1
@@ -1381,9 +1371,9 @@
          enddo
 
-         if (k1.eq.0 .or. k2.eq.0) then
-          write(*,*) 'PB! k1, k2 = ',k1,k2
-          write(*,*) 'l,play(l) = ',l,play(l)/100
+         if (k1.eq.0 .or. k2.eq.0) THEN
+          WRITE(*,*) 'PB! k1, k2 = ',k1,k2
+          WRITE(*,*) 'l,play(l) = ',l,play(l)/100
          do k = 1, nlev_dice-1
-          write(*,*) 'k,plev_prof(k) = ',k,plev_prof(k)/100
+          WRITE(*,*) 'k,plev_prof(k) = ',k,plev_prof(k)/100
          enddo
          endif
@@ -1449,5 +1439,5 @@
 !       enddo
  
-          return
+          RETURN
           end
 
@@ -1483,10 +1473,10 @@
 
 ! Check that initial day of the simulation consistent with ASTEX period:
-       if (annee_ref.ne.1992 ) then
+       if (annee_ref.ne.1992 ) THEN
         PRINT*,'Pour Astex, annee_ref doit etre 1992 '
         PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
-       if (annee_ref.eq.1992 .and. day1.lt.day_ini_astex) then
+       if (annee_ref.eq.1992 .and. day1.lt.day_ini_astex) THEN
         PRINT*,'Astex debute le 13 Juin 1992 (jour julien=165)'
         PRINT*,'Changer dayref dans run.def'
@@ -1496,5 +1486,5 @@
 ! Determine timestep relative to the 1st day of TOGA-COARE:
 !       timeit=(day-day1)*86400.
-!       if (annee_ref.eq.1992) then
+!       if (annee_ref.eq.1992) THEN
 !        timeit=(day-day_ini_astex)*86400.
 !       else
@@ -1512,6 +1502,6 @@
      &          it_astex1,it_astex2,time_astex1,time_astex2
 
-       if (it_astex1 .ge. nt_astex) then
-        write(*,*) 'PB-stop: day, it_astex1, it_astex2, timeit: '          &
+       if (it_astex1 .ge. nt_astex) THEN
+        WRITE(*,*) 'PB-stop: day, it_astex1, it_astex2, timeit: '          &
      &        ,day,it_astex1,it_astex2,timeit/86400.
         stop
@@ -1540,5 +1530,5 @@
      &it_astex2,div_prof,ts_prof,ug_prof,vg_prof,ufa_prof,vfa_prof 
 
-        return
+        RETURN
         END
 
@@ -1586,17 +1576,17 @@
 
 
-        if (forcing_type.eq.2) then
+        if (forcing_type.eq.2) THEN
 ! Check that initial day of the simulation consistent with TOGA-COARE period:
-       if (annee_ref.ne.1992 .and. annee_ref.ne.1993) then
+       if (annee_ref.ne.1992 .and. annee_ref.ne.1993) THEN
         PRINT*,'Pour TOGA-COARE, annee_ref doit etre 1992 ou 1993'
         PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
-       if (annee_ref.eq.1992 .and. day1.lt.day_ini_toga) then
+       if (annee_ref.eq.1992 .and. day1.lt.day_ini_toga) THEN
         PRINT*,'TOGA-COARE a debute le 1er Nov 1992 (jour julien=306)'
         PRINT*,'Changer dayref dans run.def'
         stop
        endif
-       if (annee_ref.eq.1993 .and. day1.gt.day_ini_toga+119) then
+       if (annee_ref.eq.1993 .and. day1.gt.day_ini_toga+119) THEN
         PRINT*,'TOGA-COARE a fini le 28 Feb 1993 (jour julien=59)'
         PRINT*,'Changer dayref ou nday dans run.def'
@@ -1604,18 +1594,17 @@
        endif
 
-       else if (forcing_type.eq.4) then
-
+       else if (forcing_type.eq.4) THEN
 ! Check that initial day of the simulation consistent with TWP-ICE period:
-       if (annee_ref.ne.2006) then
+       if (annee_ref.ne.2006) THEN
         PRINT*,'Pour TWP-ICE, annee_ref doit etre 2006'
         PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
-       if (annee_ref.eq.2006 .and. day1.lt.day_ini_toga) then
+       if (annee_ref.eq.2006 .and. day1.lt.day_ini_toga) THEN
         PRINT*,'TWP-ICE a debute le 17 Jan 2006 (jour julien=17)'
         PRINT*,'Changer dayref dans run.def'
         stop
        endif
-       if (annee_ref.eq.2006 .and. day1.gt.day_ini_toga+26) then
+       if (annee_ref.eq.2006 .and. day1.gt.day_ini_toga+26) THEN
         PRINT*,'TWP-ICE a fini le 12 Feb 2006 (jour julien=43)'
         PRINT*,'Changer dayref ou nday dans run.def'
